Resource URL
| Type | URL and Format |
|---|---|
| POST | https://public-api.wordpress.com/rest/v1/sites/$site/follows/new |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | The site ID, The site domain |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| callback | (string) | An optional JSONP callback function. |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| success | (bool) | Was the operation successful? |
| is_following | (bool) | Is the user following this blog? |
| meta | (object) | Meta data |
Example
cURL
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ 'https://public-api.wordpress.com/rest/v1/sites/33534099/follows/new/'
PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/33534099/follows/new/',
false,
$context
);
$response = json_decode( $response );
?>
Response Body
{
"success": true,
"is_following": true
}